# Contributing

I love pull requests from everyone. By participating in this project, you
agree to abide by the [code of conduct](CODE_OF_CONDUCT.md).

Fork, then clone the repo:

    git clone git@github.com:your-username/leaflet-groupedlayercontrol.git

Set up your machine:

    npm install

Make sure the tests pass:

    npm test

Make your change. Make the tests pass:

    npm test

Push to your fork and [submit a pull request][pr].

[pr]: https://github.com/ismyrnow/leaflet-groupedlayercontrol/compare/

At this point you're waiting on me. I like to at least comment on pull requests,
and I may suggest some changes or improvements or alternatives.

Some things that will increase the chance that your pull request is accepted:

* Maintain existing code style.
* Write a [good commit message][commit].

[commit]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html

## FAQ

### Can you add feature X?

Despite contributing the initial code, I may not be personally contributing to
the project any longer. Feel free to open a Github issue with your feature
request, and perhaps someone in the community will tackle it.

### What kind of pull requests do you accept?

Bugfixes and documentation are most likely to be accepted, followed by
universally useful enhancements. New features should be preempted by some
discussion (open a Github issue). Introducing backwards-incompatible changes
is strongly discouraged.
